Get Usage Revocation
GET /v1/projects/:project_id/usage/revocations/:revocation_idAuthentication
Section titled “Authentication”Authorization: Bearer <api-key>Requires usage:read.
Path Parameters
Section titled “Path Parameters”| Field | Required | Description |
|---|---|---|
project_id |
Yes | Project that owns the task. |
revocation_id |
Yes | Revocation request ID. |
Request Body
Section titled “Request Body”Empty.
Example
Section titled “Example”curl 'http://127.0.0.1:8080/v1/projects/proj_gateway/usage/revocations/urv_001' \ -H 'Authorization: Bearer <api-key>'Response
Section titled “Response”{ "revocation": { "id": "urv_001", "tenant_id": "t_001", "project_id": "proj_gateway", "mode": "raw_event_ids", "purpose": "revoke", "reason": "duplicate gateway report", "status": "completed", "requested_count": 2, "selected_count": 2, "succeeded_count": 2, "failed_count": 0, "created_at": 1781222400, "completed_at": 1781222410, "updated_at": 1781222410 }}